<?php 
/**
 *  @package	PaidSystem
 *  @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 *  @license    GNU General Public License version 3, or later
 */
defined('_JEXEC') or die( 'Restricted access' );

$displayOptionText = true;
if(isset($conf->hide_option_text) && $conf->hide_option_text == 1){
        $displayOptionText = false;
}

if($displayOptionText){ ?>
 <h3>
 <?php echo  JText::_('PAIDSYSTEM_OPTIONS')?>
 </h3>
 <?php } ?>
<fieldset>

<?php if (count($durations) > 0) { ?>
<div class="form-group">
	<label class="control-label col-xs-4" for="ad_duration">
		<?php echo  JText::_('PAIDSYSTEM_DURATION').JText::_('ADSMANAGER_REQUIRED')?>
	</label>
	<?php 
		if ($isUpdateMode == 0)
		{
		    echo "<div class=\"controls col-xs-8\">";
			echo "<select name='ad_duration' id='ad_duration' class=\"form-control\" required onchange=\"changeDuration(this)\" >";
			echo "<option value=''>".JText::_('PAIDSYSTEM_DURATION_SELECT')."</option>";
			$currentcat = JRequest::getInt("catid",-1);
			foreach($durations as $duration)
			{
		        if(checkRightOption($duration) == true) {
		            if ((strpos($duration->catsid, ",$currentcat,") !== false)||(strpos($duration->catsid, ",-1,") !== false))
		            {
		                $selected = "";
		                if(isset($row->duration)) {
		                    if($row->duration == $duration->id)
		                        $selected = "selected='selected'";
		                }
		                
		                if ($duration->duration == 0) {
		                    if ($duration->credits > 0)
		                        echo "<option $selected value='$duration->id'>".sprintf(JText::_('PAIDSYSTEM_NO_EXPIRATION_WITH_PRICE'), getPrice($duration->credits))."</option>";
		                    else
		                        echo "<option $selected value='$duration->id'>".JText::_('PAIDSYSTEM_NO_EXPIRATION')."</option>";
		                } else {
		                    if ($duration->credits > 0)
		                        echo "<option $selected value='$duration->id'>".sprintf(JText::_('PAIDSYSTEM_DURATION_DISPLAY'),$duration->duration, getPrice($duration->credits))."</option>";
		                    else
		                        echo "<option $selected value='$duration->id'>".sprintf(JText::_('PAIDSYSTEM_DURATION_SHORT_DISPLAY'),$duration->duration)."</option>";
		                }
		            }
		        }
			}
			echo "</select>";
		    echo "</div>";
		}
		else
		{
		    echo "<div class=\"control-label col-xs-4\">";
		    echo "<span class=\"help-block\">";
			if ($days > 100) {
				echo JText::_('PAIDSYSTEM_NO_EXPIRATION');
			} else {
				echo sprintf(JText::_('PAIDSYSTEM_DURATION_SHORT_DISPLAY'),$days);
			}
		    echo "</span>";
		    echo "</div>";
		}
	?>
</div>
<?php } ?>
<?php 
if (($conf->featured_active == 1)&&(count($featureddurations) > 0)){
    if (!isset($adext)||($adext->featured == 0))
    {
		$ok = 0;
		$freeoption = null;
        $temp = "<div class=\"form-group\">";
		$temp .= "<label class=\"control-label col-xs-4\" for=\"featured_option\">".JText::_('PAIDSYSTEM_FEATURED')."</label>\n";
		
        $temp .= "<div class=\"controls col-xs-8\">";
		$temp .= "<select id='featured_option' name='featured' class=\"form-control\" onchange='checkPaidOption(\"featured\")'>";
		$temp .= "<option value='' price='0'>".JText::_('PAIDSYSTEM_NOT_SELECTED')."</option>";
		$currentcat = JRequest::getInt("catid",-1);	
		foreach($featureddurations as $d) {
            if(checkRightOption($d) == true) {
                if ((strpos($d->catsid, ",$currentcat,") !== false)||(strpos($d->catsid, ",-1,") !== false)) {
                    $selected = "";
                    if(isset($row->featured)) {
                        if($row->featured == $d->id)
                            $selected = "selected='selected'";
                    }
                    
                    $temp .= "<option $selected value='{$d->id}' price='{$d->credits}'>{$d->title}</option>";
                    if ($d->credits == 0) {
						$freeoption = "<input $selected type='hidden' id='featured_option' name='featured' price='0' value='{$d->id}' />";
					}
                    $ok++;
                }
            }
		}
		$temp .= "</select>";
		$temp .= "</div>";
		$temp .= "</div>";
		if (($ok == 1)&&($freeoption!=null)) {
			echo $freeoption;
		//} else if ($ok > 1) {
        } else if ($ok >= 1) {
			echo $temp;
		}
    }
    else
    {
        echo "<div class=\"form-group\">";
		echo "<label class=\"control-label col-xs-4\" for=\"featured_option\">".JText::_('PAIDSYSTEM_FEATURED')."</label>\n";
		echo "<div class=\"control-label col-xs-4\">";
		echo "<span class=\"help-block\">";
		if ($adext->featured_date != null) 
			echo sprintf(JText::_('PAIDSYSTEM_OPTION_ENDDATE'),$adext->featured_date);
		else 
			echo JText::_('PAIDSYSTEM_ALREADY_SELECTED')."\n";
        echo "</span>";
		echo "</div>";
        echo "</div>";
    }
}
	
if (($conf->highlight_active == 1)&&(count($highlightdurations) > 0)){
    if (!isset($adext)||($adext->highlight == 0))
    {
		$ok = 0;
		$freeoption = null;
        $temp = "<div class=\"form-group\">";
		$temp .=  "<label class=\"control-label col-xs-4\" for=\"highlight_option\">".JText::_('PAIDSYSTEM_HIGHLIGHT')."</label>\n";
		
        $temp .= "<div class=\"controls col-xs-8\">";
		$temp .=  "<select id='highlight_option' name='highlight' class=\"form-control\" onchange='checkPaidOption(\"highlight\")'>";
		$temp .=  "<option value='' price='0'>".JText::_('PAIDSYSTEM_NOT_SELECTED')."</option>";
		$currentcat = JRequest::getInt("catid",-1);	
		foreach($highlightdurations as $d) {
            if(checkRightOption($d) == true) {
                if ((strpos($d->catsid, ",$currentcat,") !== false)||(strpos($d->catsid, ",-1,") !== false)) {
                    $selected = "";
                    if(isset($row->highlight)) {
                        if($row->highlight == $d->id)
                            $selected = "selected='selected'";
                    }
                    
                    $temp .=  "<option $selected value='{$d->id}' price='{$d->credits}'>{$d->title}</option>";
                    if ($d->credits == 0) {
						$freeoption = "<input $selected type='hidden' id='highlight_option' name='highlight' price='0' value='{$d->id}' />";
					}
					$ok++;
                }
            }
		}
		$temp .=  "</select>";
		$temp .= "</div>";
        $temp .= "</div>";
   		if (($ok == 1)&&($freeoption!=null)) {
			echo $freeoption;
		//} else if ($ok > 1) {
        } else if ($ok >= 1) {
			echo $temp;
		}
    }
    else
    {
		echo "<div class=\"form-group\">";
		echo "<label class=\"control-label col-xs-4\" for=\"highlight_option\">".JText::_('PAIDSYSTEM_HIGHLIGHT')."</label>\n";
		echo "<div class=\"control-label col-xs-4\">";
		echo "<span class=\"help-block\">";
		if ($adext->highlight_date != null) 
			echo sprintf(JText::_('PAIDSYSTEM_OPTION_ENDDATE'),$adext->highlight_date);
		else 
			echo JText::_('PAIDSYSTEM_ALREADY_SELECTED')."\n";
		echo "</span>";
		echo "</div>";
        echo "</div>";
    }
}
	
if (($conf->top_active == 1)&&(count($topdurations) != 0)) {
    if (!isset($adext)||($adext->top == 0))
    {
		$ok = 0;
		$freeoption = null;
        $temp = "<div class=\"form-group\">";
		$temp .= "<label class=\"control-label col-xs-4\" for=\"top_option\">".JText::_('PAIDSYSTEM_TOP')."</label>\n";
		
        $temp .= "<div class=\"controls col-xs-8\">";
		$temp .= "<select name='top' id='top_option' class=\"form-control\" onchange='checkPaidOption(\"top\")'>";
		$temp .= "<option value='' price='0'>".JText::_('PAIDSYSTEM_NOT_SELECTED')."</option>";
		$currentcat = JRequest::getInt("catid",-1);	
		foreach($topdurations as $d) {
            if(checkRightOption($d) == true) {
                if ((strpos($d->catsid, ",$currentcat,") !== false)||(strpos($d->catsid, ",-1,") !== false)) {
                    $selected = "";
                    if(isset($row->top)) {
                        if($row->top == $d->id)
                            $selected = "selected='selected'";
                    }
                    
                    $temp .= "<option $selected value='{$d->id}' price='{$d->credits}'>{$d->title}</option>";
                    if ($d->credits == 0) {
                    	$freeoption = "<input $selected type='hidden' id='top_option' name='top' price='0' value='{$d->id}' />";
                    }
                    $ok++;
                }
            }
		}
   		$temp .=  "</select>";
		$temp .= "</div>";
        $temp .= "</div>";
   		if (($ok == 1)&&($freeoption!=null)) {
			echo $freeoption;
		//} else if ($ok > 1) {
        } else if ($ok >= 1) {
			echo $temp;
		}
    }
    else
    {
		echo "<div class=\"form-group\">";
		echo "<label class=\"control-label col-xs-4\" for=\"top_option\">".JText::_('PAIDSYSTEM_TOP')."</label>\n";
		echo "<div class=\"control-label col-xs-4\">";
		echo "<span class=\"help-block\">";
		if ($adext->top_date != null) 
			echo sprintf(JText::_('PAIDSYSTEM_OPTION_ENDDATE'),$adext->top_date);
		else 
			echo JText::_('PAIDSYSTEM_ALREADY_SELECTED')."\n";
		echo "</span>";
        echo "</div>";
		echo "</div>";
    }
}
?>
<?php
    $displayPrice = true;
    if(isset($conf->hide_total_price) && $conf->hide_total_price == 1){
        $displayPrice = false;
    }
?>
<div class="form-group" <?php if(!$displayPrice){ echo 'style="display: none;"'; } ?>>
<?php
    if ($conf->mode == "credits") {
        if(getCurrencyPosition() == 'after') {
            echo "<label class=\"control-label col-xs-4\" for=\"paidsystembalance\">".JText::_('PAIDSYSTEM_USER_CREDITS')."</label>";
            echo "<div class=\"controls col-xs-8\">";
            echo "<div class=\"input-append\">";
            echo "<input type='text' disabled='true' id='paidsystembalance' name='paidsystembalance' value='".$balance."' />";
            echo "<span class=\"add-on\">".getCurrencySymbol()."</span>";
            echo "</div>";
            echo "</div>";
        } else {
            echo "<label class=\"control-label col-xs-4\" for=\"paidsystembalance\">".JText::_('PAIDSYSTEM_USER_CREDITS')."</label>";
            echo "<div class=\"controls col-xs-8\">";
            echo "<div class=\"input-prepend\">";
            echo "<span class=\"add-on\">".getCurrencySymbol()."</span>";
            echo "<input type='text' disabled='true' id='paidsystembalance' name='paidsystembalance' value='".$balance."' />";
            echo "</div>";
            echo "</div>";
        }
            
    }
    if(getCurrencyPosition() == 'after') {
        echo "<label class=\"control-label col-xs-4\" for=\"paidsystemadcost\">".JText::_('PAIDSYSTEM_ADCOST')."</label>";
        echo "<div class=\"controls col-xs-8\">";
		echo "<div class='pricefield'>";		
        echo "<div class='price_container_after' ><input type='text' class='form-control' disabled='true' id='paidsystemadcost' name='paidsystemadcost' value='0'/></div>";
		echo "<span class=\"currency-symbol price-right\">".getCurrencySymbol("symbol")."</span></div>";
        echo "</div>";
    } else {
        echo "<label class=\"control-label col-xs-4\" for=\"paidsystemadcost\">".JText::_('PAIDSYSTEM_ADCOST')."</label>";
        echo "<div class=\"controls col-xs-8\">";
        echo "<div class='pricefield'>";	
		echo "<span class=\"currency-symbol price-left\">".getCurrencySymbol("symbol")."</span>";
        echo "<div class='price_container_before' ><input type='text' class='form-control' disabled='true' id='paidsystemadcost' name='paidsystemadcost' value='0'/></div>";
        echo "</div>";
		echo "</div>";
    }
    ?>
        </div>
</fieldset>
<?php if (!isset($conf->enable_image_pack) || $conf->enable_image_pack == 0) {  
if (($adsmanager_conf->nb_images + $conf->num_images) >= 0) {
		$nbimages = 0;
		?>	
		<script type="text/javascript">
		max_total_file_count =  <?php echo ($adsmanager_conf->nb_images + $conf->num_images)?>;
		nb_free_images = <?php echo $adsmanager_conf->nb_images ?>;
		if (current_uploaded_files_count > nb_free_images) {
			nb_free_images = current_uploaded_files_count;
		}	
		setTotalFileCount(max_total_file_count);
		<?php 
		$html = '';
		if ($adsmanager_conf->nb_images == 0) {
			$html = sprintf(JText::_('ADSMANAGER_IMAGE_PRICE_WITHOUT_FREE_IMAGES'),  getPrice($conf->image_price));
		} elseif($conf->num_images > 0) {
			$html = sprintf(JText::_('ADSMANAGER_IMAGE_PRICE_WITH_FREE_IMAGES'),$adsmanager_conf->nb_images,getPrice($conf->image_price));
		}?>
		jQ('#uploader_td').prepend(<?php echo json_encode($html) ?>);
		current_image_cost = 0; 
		function updatePaidCurrentFileCount(current_nbimages,new_nbimages) {
			//alert(current_nbimages+" "+new_nbimages);
			image_price = <?php echo (int)$conf->image_price?>; //* ad_duration_credits;
			//alert(ad_duration_credits+" "+image_price);
			if (new_nbimages >= nb_free_images) {
				price = image_price * (new_nbimages-nb_free_images);
			} else {
				price = 0;
			}
			changeprice = price - current_image_cost;
			current_image_cost = price;
			jQ('#paidsystemadcost').val(parseFloat(jQ('#paidsystemadcost').val()) + changeprice);
		}
		<?php 
		$nbtmpimages = 0;
		if (!empty($row->images)) {
		foreach($row->images as $img) {
			if (isset($img->tmp) && ($img->tmp == 1)) {
				$nbtmpimages++;
			}
		}
		}
		if ($nbtmpimages > 0) {
			$nbimages = count($row->images);
			if (($nbimages-$nbtmpimages) > $adsmanager_conf->nb_images) {
				$free_images = $nbimages-$nbtmpimages;
			} else {
				$free_images = $adsmanager_conf->nb_images;
			}
			if ($nbimages > $free_images) { ?>
			jQ(document).ready(function() {
				current_image_cost = <?php echo ($nbimages -  $free_images) * $conf->image_price ?>;
                jQ('#paidsystemadcost').val(parseFloat(jQ('#paidsystemadcost').val()) + current_image_cost);
			});
			<?php }	
		} ?>
		</script>
<?php }
} ?>
