<?php 
/**
 *  @package	PaidSystem
 *  @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 *  @license    GNU General Public License version 3, or later
 */
defined('_JEXEC') or die( 'Restricted access' );

?>
<?php 
if (count($durations) != 0) {
?>
    <div class="row">
        <div class="col-md-12">
            <div class="control-group">
                <label class="col-xs-4 control-label" for="ad_duration"><?php echo JText::_('PAIDSYSTEM_DURATION'); ?></label>
                <div class="col-xs-8 controls">
                    <select name='ad_duration' class="form-control" id='ad_duration' mosReq='1' onchange="changeDuration(this)" mosLabel='<?php echo htmlspecialchars(JText::_('PAIDSYSTEM_DURATION'),ENT_QUOTES); ?>' class='adsmanager_required'>
                        <option value=''><?php echo JText::_('PAIDSYSTEM_DURATION_SELECT'); ?></option>
<?php 
	$currentcat = JRequest::getInt("catid",-1);
                            foreach($durations as $duration) {
		if ($duration->credits > 0)
			echo "<option value='$duration->id'>".sprintf(JText::_('PAIDSYSTEM_DURATION_DISPLAY'),$duration->duration, getPrice ($duration->credits))." (".date("Y-m-d",$duration->duration*3600*24 + strtotime($date)).")</option>";
		else
			echo "<option value='$duration->id'>".sprintf(JText::_('PAIDSYSTEM_DURATION_SHORT_DISPLAY'),$duration->duration)." (".date("Y-m-d",$duration->duration*3600*24 +strtotime($date)).")</option>";
	}
                        ?>
                    </select>
                </div>
            </div>
        </div>
        <?php
            if ($mode == "credits") {
                ?>
                <div class="col-md-12">
                    <div class="control-group">
                        <label class="col-xs-4 control-label" for="paidsystembalance"><?php echo JText::_('PAIDSYSTEM_USER_CREDITS'); ?></label>
                        <div class="col-xs-8 controls">
                            <input type='text' disabled='true' class="form-control" name='paidsystembalance' value='<?php echo $balance; ?>' />
                        </div>
                    </div>
                </div>
		<?php 
            }
		  ?>
            <div class="col-md-12">
                <div class="control-group">
                    <label class="col-xs-4 control-label" for="paidsystemadcost"><?php echo JText::_('PAIDSYSTEM_ADCOST'); ?></label>
                    <div class="col-xs-8 controls">    
                        <input type='text' class="form-control" disabled='true' name='paidsystemadcost' value='0'/>
                    </div>
                </div>
            </div>
            <div class="col-md-12">
            	<div class="control-group">
                    <label class="col-xs-4 control-label"></label>
                    <div class="col-xs-8 controls">
                		<a class='btn btn-primary' onclick='checkForm();return false;' href=""><?php echo JText::_('ADSMANAGER_RENEW_AD'); ?></a>
                	</div>	
				</div>
           </div>
	<script type="text/javascript">
		ad_duration_credits = 0;
		
		function changeDuration(obj) {
			var form = document.adminForm;
			
			var duration_credits = 0;
			switch(obj.value) {
				<?php
				foreach($durations as $du)
				{
					echo "case '$du->id': duration_credits = $du->credits; break;";
				}
				?>
			}
			form.paidsystemadcost.value = parseFloat(form.paidsystemadcost.value) + duration_credits - ad_duration_credits;
			ad_duration_credits = parseFloat(duration_credits);
		}
		
		function checkForm() {
			if  (document.adminForm.ad_duration.value == "")
				alert(<?php echo json_encode(JText::_('PAIDSYSTEM_DURATION_SELECT'));?>);
			else
				document.adminForm.submit();
		}
	</script>
<?php
} else {
?>
   <div class="row">
        <div class="col-md-12 text-center">
            <input type='submit' class="btn btn-primary" value='<?php echo JText::_('ADSMANAGER_RENEW_AD'); ?>' />
        </div>
    </div>
<?php 
} 