<?php
/**
 * @package		AdsManager
 * @copyright	Copyright (C) 2010-2014 Juloa.com. All rights reserved.
 * @license		GNU/GPL
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );
?>
<div class="juloawrapper">
    <?php
    if ($image == 1) {
    ?>
	<div class="row adsListGridRow adsmanager_box_module_2<?php echo $moduleclass_sfx; ?>">
    	<?php
		$width = (int) 12 / $ads_by_row; 
		foreach($contents as $row) {
		$linkTarget = TRoute::_("index.php?option=com_adsmanager&view=details&id=".$row->id."&catid=".$row->catid);
		if (isset($row->images[0])) {
			$img = JURI::base()."/images/com_adsmanager/contents/".$row->images[0]->thumbnail."?".filemtime(JPATH_IMAGES_FOLDER."/".$row->images[0]->thumbnail);
		} else {
			$img = ADSMANAGER_NOPIC_IMG;
		}
		?>
        <!-- AD BLOCK -->
        <div class="col-md-<?php echo $width ?>">
			<?php	
			$linkTarget = TRoute::_("index.php?option=com_adsmanager&view=details$urlparamroot&id=".$row->id."&catid=".$row->catid);			
			if (isset($row->images[0])) {
				$image = $baseurl."images/com_adsmanager/contents/".$row->images[0]->$imagetype;
			}
			else
			{
				$image = ADSMANAGER_NOPIC_IMG;
			}   
			?>
			<div>
				<div class="row ">
					<div class="col-md-12 adsListGridImage">
						<div class="adsListGridImageBg">
							<a href="<?php echo $linkTarget?>">
								<img class="img-responsive" alt="<?php echo htmlspecialchars($row->ad_headline)?>" src="<?php echo $image ?>">
							</a>
						</div>
						                         
						<?php 
						if (count($adfields) > 0) { 
						reset($adfields);
						$first_key = key($adfields);?>
						<div class="col-md-4 adsListGridPrice">          
						  <?php echo $field->showFieldValue($row,$adfields[$first_key]);?>
						</div>
						<?php } ?>
					</div>
			    </div>
			    <?php if (($displaycategory == 1)||($displaydate == 1)) {?>
			    <div class="col-md-12 adsListGridCat">
			    <?php if ($displaycategory == 1) { 
						echo TText::_($row->parent)." / ".TText::_($row->cat)."<br/>";
					}
					if ($displaydate == 1) {
						echo reorderDate($row->date_created);
					}
					?>                         
				</div>
				<?php } ?>
				<div class="adsListGridContent">
					<div class="row">
						<div class="col-md-12 adsListGridTitle">
							<h4><a href="<?php echo $linkTarget?>"><?php echo htmlspecialchars($row->ad_headline)?></a></h4>
						</div>
					</div>
					<div class="row">
						<div class="col-md-12 adsListGridDesc">
							<p>
							<?php 
		                                    $row->ad_text = str_replace ('<br />'," ",$row->ad_text);
		                                                $af_text = JString::substr($row->ad_text, 0, 100);
		                                                if (strlen($row->ad_text)>100) {
		                                                    $af_text .= "[...]";
		                                                }
		                                                echo htmlspecialchars($af_text);
		                                    ?>
							</p>
							<?php 
							$first = true;
							foreach($adfields as $f) {
								if ($first == true) {
									$first = false;
									continue;
								}
								$fieldname = $f->name;
								if ($row->$fieldname != null) {
									$value = $field->showFieldValue($row,$f);
									echo "<div class='adfield'>".$value."</div>";
								}
							}?>
						</div>
					</div>
				</div>
			</div>
        </div>
        <?php } ?>
    </div>
    <?php
    } else {
        ?>
        <ul class="mostread<?php echo $moduleclass_sfx; ?>">
        <?php
        if (isset($contents[0])) {
        foreach($contents as $row) {
        ?>
            <li class="mostread">
            <?php	
                $linkTarget = TRoute::_("index.php?option=com_adsmanager&view=details$urlparamroot&id=".$row->id."&catid=".$row->catid);
                echo "<div class='text-center'><a href='$linkTarget'>".$row->ad_headline."</a></div>"; 
                if ($displaycategory == 1)
                    echo "<div class='text-center'><span class=\"adsmanager-cat\">(".$row->parent." / ".$row->cat.")</span></div>";
                if ($displaydate == 1)
                    echo "<div class='text-center'>".reorderDate($row->date_created)."</div>";
            ?>
            </li>
    <?php
        } }
        ?>
        </ul>
        <?php
    }
    ?>
</div>
